<template>
    <app-layout title="Dashboard">
        <template #header>
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                Edit Roles
            </h2>
        </template>
        <!--        <form @submit.prevent="submit">-->
        <!--            <label for="url_code">url_code:</label>-->
        <!--            <input id="url_code" v-model="form.url_code"/>-->

        <!--            <label for="title">title:</label>-->
        <!--            <input id="title" v-model="form.title"/>-->

        <!--            <label for="text">text:</label>-->
        <!--            <input id="text" v-model="form.text"/>-->

        <!--            <label for="active" type="checkbox">active:</label>-->
        <!--            <input id="active" v-model="form.active"/>-->

        <!--            <button type="submit">Submit</button>-->
        <!--        </form>-->
        <div class="mt-5 md:mt-0 md:col-span-2">
            <form @submit.prevent="submit">
                <div class="shadow overflow-hidden sm:rounded-md">
                    <div class="px-4 py-5 bg-white sm:p-6">
                        <div class="grid grid-cols-6 gap-6">
                            <div class="col-span-6 sm:col-span-3">
                                <label for="name" class="block text-sm font-medium text-gray-700">Name</label>
                                <input type="text" name="name" id="name" v-model="form.name"
                                       class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md">
                                <div class="text-red-500" v-if="form.errors.name">{{ form.errors.name }}</div>
                            </div>
                            <div class="col-span-6 sm:col-span-3">
                                <label for="code" class="block text-sm font-medium text-gray-700">Code</label>
                                <input type="text" name="code" id="code" v-model="form.code"
                                       class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md">
                                <div class="text-red-500" v-if="form.errors.code">{{ form.errors.code }}</div>
                            </div>
                        </div>
                    </div>
                    <div class="px-4 py-3 bg-gray-50 text-right sm:px-6">
                        <a href="#" @click="back" type="submit"
                                class="mr-4 inline-flex justify-center py-2 px-4 border border-transparent shadow-sm text-sm font-medium rounded-md text-black bg-white hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
                            Cancel
                        </a>
                        <button type="submit"
                                class="inline-flex justify-center py-2 px-4 border border-transparent shadow-sm text-sm font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
                            Submit
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </app-layout>
</template>

<script>
import AppLayout from "@/Layouts/AppLayout";
import { useForm } from '@inertiajs/inertia-vue3'

export default {
    components: {
        AppLayout,
    },
    props: {
        role: Object,
    },
    setup(props) {
        const form = useForm({
            name: props.role.name ?? '',
            code: props.role.code ?? '',
        })

        return { form }
    },
    methods: {
        back(){
            window.history.back();
        },
        submit() {
            this.form.patch(route('roles.update', {id:this.role.id}))
        }
    },
}
</script>
